pcl::io::PointCloudImageExtractorFromRGBField< PointT > Class Template Reference
Module io

Image Extractor which uses the data present in the "rgb" or "rgba" fields to produce a color image with rgb8 encoding. More...

`#include <pcl/io/point_cloud_image_extractors.h>`

Inheritance diagram for pcl::io::PointCloudImageExtractorFromRGBField< PointT >:

## Public Types

typedef boost::shared_ptr< PointCloudImageExtractorFromRGBField< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudImageExtractorFromRGBField< PointT > > | ConstPtr
Public Types inherited from pcl::io::PointCloudImageExtractor< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef boost::shared_ptr< PointCloudImageExtractor< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudImageExtractor< PointT > > | ConstPtr

## Public Member Functions

| PointCloudImageExtractorFromRGBField ()
| Constructor. More...
virtual | ~PointCloudImageExtractorFromRGBField ()
| Destructor. More...
Public Member Functions inherited from pcl::io::PointCloudImageExtractor< PointT >
| PointCloudImageExtractor ()
| Constructor. More...
virtual | ~PointCloudImageExtractor ()
| Destructor. More...
bool | extract (const PointCloud &cloud, pcl::PCLImage &image) const
| Obtain the image from the given cloud. More...
void | setPaintNaNsWithBlack (bool flag)
| Set a flag that controls if image pixels corresponding to NaN (infinite) points should be painted black. More...

## Protected Member Functions

virtual bool | extractImpl (const PointCloud &cloud, pcl::PCLImage &img) const
| Implementation of the extract() function, has to be implemented in deriving classes. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::io::PointCloudImageExtractor< PointT >
bool | paint_nans_with_black_
| A flag that controls if image pixels corresponding to NaN (infinite) points should be painted black. More...

## Detailed Description

### template<typename PointT>
class pcl::io::PointCloudImageExtractorFromRGBField< PointT >

Image Extractor which uses the data present in the "rgb" or "rgba" fields to produce a color image with rgb8 encoding.

Author
  Sergey Alexandrov

Definition at line 230 of file point_cloud_image_extractors.h.

## Member Typedef Documentation

template<typename PointT >

typedef boost::shared_ptr<const PointCloudImageExtractorFromRGBField<PointT> > pcl::io::PointCloudImageExtractorFromRGBField< PointT >::ConstPtr

Definition at line 236 of file point_cloud_image_extractors.h.

template<typename PointT >

typedef boost::shared_ptr<PointCloudImageExtractorFromRGBField<PointT> > pcl::io::PointCloudImageExtractorFromRGBField< PointT >::Ptr

Definition at line 235 of file point_cloud_image_extractors.h.

## Constructor & Destructor Documentation

template<typename PointT >

pcl::io::PointCloudImageExtractorFromRGBField< PointT >::PointCloudImageExtractorFromRGBField | ( |  | ) |

inline

Constructor.

Definition at line 239 of file point_cloud_image_extractors.h.

template<typename PointT >

virtual pcl::io::PointCloudImageExtractorFromRGBField< PointT >::~PointCloudImageExtractorFromRGBField | ( |  | ) |

inline virtual

Destructor.

Definition at line 242 of file point_cloud_image_extractors.h.

References pcl::io::PointCloudImageExtractor< PointT >::extractImpl().

## Member Function Documentation

template<typename PointT >

bool pcl::io::PointCloudImageExtractorFromRGBField< PointT >::extractImpl | ( | const PointCloud & | cloud,
|  | pcl::PCLImage & | image
| ) |  | const

protected virtual

Implementation of the extract() function, has to be implemented in deriving classes.

Implements pcl::io::PointCloudImageExtractor< PointT >.

Definition at line 106 of file point_cloud_image_extractors.hpp.

References pcl::PCLImage::data, pcl::PCLImage::encoding, pcl::getFieldIndex(), pcl::PCLImage::height, pcl::PointCloud< PointT >::height, pcl::PointCloud< PointT >::points, pcl::PCLImage::step, pcl::PCLImage::width, and pcl::PointCloud< PointT >::width.

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/point_cloud_image_extractors.h
- /build/pcl-0nnAvv/pcl-1.7.2/io/include/pcl/io/impl/point_cloud_image_extractors.hpp